KuikCodeDocs
APIReferenceCodes

Create many codes

POST
/codes/bulk

Up to the plan's batch size per call (see limits.bulkBatch on GET /me), all into one folder, all or nothing. Ten batches per ten minutes per key.

AuthorizationBearer <token>

An API key from Settings, Developers: Authorization: Bearer kc_live_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/codes/bulk" \  -H "Content-Type: application/json" \  -d '{    "rows": [      {        "name": "string",        "url": "http://example.com"      }    ]  }'
{  "folderId": "string",  "created": 0,  "codes": [    {      "id": "string",      "shortCode": "string",      "name": "string"    }  ]}